%define name gnomemm
%define	version 1.2.2
%define release 4mdk
%define major 9
%define library_name %{name}-1.2
%define gtkmm_version 1.2.8

Name: %{name}
Summary: A C++ interface for Gnome libs (a GUI library for X).
Version: %{version}
Release: %{release}
License: LGPL
Group: System/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}-%{version}.tar.bz2
URL: http://gtkmm.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	autoconf2.5
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	gnome-libs-devel
BuildRequires:	gtkmm-devel = %{gtkmm_version}
BuildRequires:	texinfo

%description
This package provides a C++ interface for GnomeUI.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.

%package -n lib%{library_name}_%{major}
Summary: %{summary}
Group: %{group}
Obsoletes: %{name}
Provides: %{name} = %{version}
Requires: libgtkmm1.2 = %{gtkmm_version}

%description -n lib%{library_name}_%{major}
This package provides a C++ interface for GnomeUI.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.



%package -n lib%{library_name}_%{major}-devel
Summary: Headers for developing programs that will use Gnome--.
Group: Development/GNOME and GTK+
Obsoletes: %{name}-devel
Provides: %{name}-devel = %{version}
Provides: lib%{library_name}-devel = %{version}
Requires: lib%{library_name}_%{major} = %{version}
Requires: gnome-libs-devel
Requires: libgtkmm1.2-devel = %{gtkmm_version}

%description -n lib%{library_name}_%{major}-devel
This package contains the headers that programmers will need to develop
applications which will use Gnome--, part of Gtk-- the C++ interface to 
the GTK+ (the Gimp ToolKit) GUI library.

%prep
%setup -q

%build
%configure 
%make 

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%makeinstall_std

%post -n lib%{library_name}_%{major} -p /sbin/ldconfig

%postun -n lib%{library_name}_%{major} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n lib%{library_name}_%{major}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_libdir}/*.so.*

%files -n lib%{library_name}_%{major}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.sh
%{_libdir}/*.so
%{_datadir}/aclocal/*

%changelog
* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-4mdk
- BuildRequires

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-3mdk
- Clean docs
- Fix reference directory in .la files

* Mon Nov 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-2mdk
- Oops, really fix dependencies

* Mon Nov 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- Release 1.2.2
- Enforce dependencies

* Fri Sep 07 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-2mdk
- BuildRequires: flex

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1

* Tue Jul 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0
- Libification
- Rename specfile
- Simplify build requires

* Mon Apr 23 2001 Vincent Saugey <vince@mandrakesoft.com> 1.1.17-1mdk
- Up to date 1.1.17

* Thu Mar  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.15-2mdk
- Recompiled against latest glib/gtk

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.15-1mdk
- Release 1.1.15
- Remove patch 0 (merged upstream)

* Wed Dec 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.12-1mdk
- Release 1.1.12
- correct dependency
- patch from Gnome CVS to compile with gcc 2.96


* Wed Oct 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.10-3mdk
- fix %%{_tmppath}
- bzip2 source

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.10-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.10-1mdk
- First mdk release

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
